User without edit_classes permission removes host group class associations

05/28/2015 12:59 PM - Anatoly Zhestov

Status: Feedback   

Priority: High   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

reproduce:

1 Make host group test_classes

2 Assign any puppet class to group(hosts, for example)

3 Add some parameter in group.  test_param=999

4 Create user role testuser

5 Add to role filters as image:

 d5532ea27789da82baffbaedf8e7f377.png 

6 Assign role testuser to some LDAP user(local not checked)

7 Login as LDAP user

8 change test_param=sdafsa, add parameter test_param2=000

9 Press Submit

10 Check Audits - some like

User IP created Hostgroup : test_param2 / test_classes

User IP updated Hostgroup : test_param / test_classes

User IP removed Hostgroup Class: 681 / test_classes

Removed test_classes from test_classes

 11 Check host group classes - is empty now.

No more classes assigned to this group.

History

#1 - 05/29/2015 03:29 AM - Dominic Cleal

- Subject changed from users can autoerase all puppet classes assigned to group without any desire to User without edit_classes permission removes

host group class associations

- Category set to Users, Roles and Permissions

Untested, but sounds like it's when the user's missing the edit_classes permission.

#2 - 05/29/2015 04:06 AM - Anatoly Zhestov

Dominic Cleal wrote:

Untested, but sounds like it's when the user's missing the edit_classes permission.

 Exactly. But i need of user who's not have this permission.

#3 - 07/08/2015 05:30 AM - Anatoly Zhestov

1.8.2 - bug still exist

#4 - 07/08/2015 06:08 AM - Anatoly Zhestov
UPDATE!

Bug caused by filter:

Audited/adapters/active record/audit     view_audit_logs         hostgroup = test_classes

With checked "unlimited" in filter view_audit_logs () - no any class deleted!

#5 - 07/08/2015 06:17 AM - Anatoly Zhestov

ups. error.

Right is:

Host class     edit_classes     Toggle_check     none

#6 - 05/20/2017 06:13 AM - Anonymous

- Status changed from New to Feedback

what's the status here?
